Commit b9bfb312 authored by Michael Elizabeth Chastain's avatar Michael Elizabeth Chastain Committed by Linus Torvalds

[PATCH] menuconfig: fix error exit if awk fails

This one-liner fixes an error case in Menuconfig when awk fails.
Written by Andrew Church (achurch@achurch.org).
Reviewed and tested by Michael Elizabeth Chastain (mec@shout.net).

Michael Elizabeth Chastain

===
parent fdf4ccff
......@@ -689,7 +689,7 @@ function l_choice () {
# Call awk, and watch for error codes, etc.
#
function callawk () {
awk "$1" || echo "Awk died with error code $?. Giving up." || exit 1
awk "$1" || { echo "Awk died with error code $?. Giving up."; exit 1; }
}
#
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment